#!/usr/bin/python3

# s7r - tekhedd's Word Shortener, lossy text compression

import re
import sys

# Obviously this should not be <3
SHORTEN_TO_LEN = 4

def s7r_word(word):
    if re.match(r'^\w+', word): # alpha characters only!
        length = len(word)

        if length <= SHORTEN_TO_LEN:
            return word
        else:
            return word[0] + str(length-2) + word[length-1]

    else:
        return word

def s7r(line):
    tokens = re.split(r'(\W+)', line)
    short_tokens = []
    for token in tokens:
        short_token = s7r_word(token)
        short_tokens.append(short_token)

    return ''.join(short_tokens)

for line in sys.stdin:
    line = s7r(line)
    print(line, end='')

